#include "main.h"

static mgos_timer_id led_status_timer_id = 0;

static void led_status_off_cb(void *arg) {
  mgos_gpio_write(GREEN_LED_GPIO, 0);
  led_status_timer_id=0;
  (void) arg;
}

void led_status_blink() {
  mgos_gpio_write(GREEN_LED_GPIO, 1);
  if (led_status_timer_id) {
    mgos_clear_timer(led_status_timer_id);
    led_status_timer_id=0;
  }
  led_status_timer_id = mgos_set_timer(100, false, led_status_off_cb, NULL);
}


